GETCONF(1)

NAME
getconf - get configuration values

SYNOPSIS
getconf system_var
getconf -a
getconf path_var pathname
getconf -a pathname

DESCRIPTION
The getconf utility writes the current value of a configurable system limit or option variable to the standard output.

The system_var argument specifies the system variable to be queried. The names of the system variables are from sysconf(3) with the leading “_SC_” removed.

The path_var argument specifies the pathname variable to be queried for the specified pathname argument. The names of the pathname variables are from pathconf(2) with the leading “_PC_” removed.

When invoked with the option -a, getconf writes a list of all applicable variables and their values to the standard output, in the format “ name = value ”.

EXIT STATUS

SEE ALSO
pathconf(2), confstr(3), limits(3), sysconf(3)

STANDARDS
The getconf utility conforms to p1003.2-92.